##############################################################################
## This file is part of 'SLAC Firmware Standard Library'.
## It is subject to the license terms in the LICENSE.txt file found in the 
## top-level directory of this distribution and at: 
##    https://confluence.slac.stanford.edu/display/ppareg/LICENSE.html. 
## No part of 'SLAC Firmware Standard Library', including this file, 
## may be copied, modified, propagated, or distributed except according to 
## the terms contained in the LICENSE.txt file.
##############################################################################
#schemaversion 3.0.0
#once AttHMC624.yaml

AttHMC624: &AttHMC624 
  description: Serial Attenuator
  class: MMIODev
  size: 0x010
  #########
  children:
  #########
    #########################################################
    SetValue:
      at:
        offset: 0x000
      class: IntField
      sizeBits: 16
      mode: RW
      description: "Attenuation Level Active low: D0-0.5bB D1-1dB D2-2dB D3-4dB D4-8dB D5-16dB"
    #########################################################
